"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var pnameReg = /(\w+)\/src\/\1\/main\/main\.js/;

exports.default = function (path, port) {
  var pname = function () {
    var res = pnameReg.exec(path);
    return res && res[1];
  }();

  if (pname) {
    return Buffer.from("\n      (function () {\n        var ws = new WebSocket('ws://localhost:" + port + "');\n\n        ws.onopen = () => {\n          ws.send(JSON.stringify({ isNew: true, data: '" + pname + "' }));\n        };\n\n        ws.onmessage = e => {\n          const params = JSON.parse(e.data);\n          params.isRefresh && location.reload();\n        };\n\n        ws.onclose = () => {\n          console.log('\u5237\u65B0\u94FE\u63A5\u5DF2\u5173\u95ED');\n        };\n      })();\n    ");
  }
};